EnderDashEnderDash

Preflight Tool Action

Preflight Tool Action. This POST operation is exposed from the ocelot router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

POST
/ocelot.preflightToolAction

Preflight Tool Action. This POST operation is exposed from the ocelot router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.

TypeScript Definitions

Use the request body type in TypeScript.

organizationId*string
toolName*string

Response Body

application/json

application/json

curl -X POST "https://app.enderdash.com/api/trpc/ocelot.preflightToolAction" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string",    "toolName": "string"  }'
{  "result": {    "data": {      "allowed": true,      "kind": "permission_denied",      "reason": "string",      "error": "string",      "yoloMode": true,      "requiresConfirmation": true,      "quotaWeight": 0,      "executionToken": "string",      "completed": true,      "released": true    }  }}